import request from '@/utils/request'

export const getTableData = data => {
    return request({
      url: '/point-strategy/v/statistics/archivesStatistics',
      method: 'post',
      data
    })
  }

  export const exportData = data => {
    return request({
      url: '/point-strategy/v/statistics/archivesStatisticsDownloadExcel',
      method: 'post',
      data,
      responseType: 'blob'
    })
  }

  // 统计pdf页数

  // 查询列表
  export const queryPage = data => {
    return request({
      url: '/point-strategy/v/statisticsPdf/queryPage',
      method: 'post',
      data,
    })
  }

  export const statisticsPdfData = params => {
    return request({
      url: '/point-strategy/v/statisticsPdf/statisticsPdfData',
      method: 'get',
      params,
    })
  }

  export const  viewData = params => {
    return request({
      url: '/point-strategy/v/statisticsPdf/view',
      method: 'get',
      params,
    })
  }



